Bug 41698 - [r300g] Flickering user interface in WoW
Summary: [r300g] Flickering user interface in WoW
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r300 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 13:32 UTC by Chris Rankin
Modified: 2011-12-28 17:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
possible fix (1.06 KB, patch)
2011-10-24 16:18 UTC, Marek Olšák
Details | Splinter Review
Trace after GPU lockup (2.79 KB, text/plain)
2011-10-25 13:35 UTC, Chris Rankin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rankin 2011-10-11 13:32:18 UTC
I have noticed that the user interface in WoW has started to flicker recently: the more "item" icons (in bags, bank slots or on action bars) that are on the screen at any one time, the more likely the bug is to occur. 

Some of the writing in the UI may also be corrupt, but the main problem is that parts of the UI itself disappear and are redrawn very quickly, over and over again.

I have observed the effect with both my RV350 and my M66GL.

According to git bisect:

363ff844753c46ac9c13866627e096b091ea81f8 is the first bad commit
commit 363ff844753c46ac9c13866627e096b091ea81f8
Author: Marek Olšák <maraeo@gmail.com>
Date:   Tue Sep 27 01:10:20 2011 +0200

    winsys/radeon: move GEM domains out of the drivers into winsys
    
    The drivers don't need to care about the domains. All they need to set
    are the bind and usage flags. This simplifies the winsys too.
    
    This also fixes on r600g:
    - fbo-depth-GL_DEPTH_COMPONENT32F-copypixels
    - fbo-depth-GL_DEPTH_COMPONENT16-copypixels
    - fbo-depth-GL_DEPTH_COMPONENT24-copypixels
    - fbo-depth-GL_DEPTH_COMPONENT32-copypixels
    - fbo-depth-GL_DEPTH24_STENCIL8-copypixels
    I can't explain it.
    
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

:040000 040000 d3e20e17575447571e3ccff63d4c93ed4843f132 9284650b528943cc425d098aa00b35631f2c9da9 M	src
Comment 1 Chris Rankin 2011-10-12 03:35:09 UTC
Reverting this single patch in git (with the exception of the header file that no longer exists, of course) has fixed the flickering problem. So far, anyway.
Comment 2 Chris Rankin 2011-10-17 06:26:19 UTC
This problem does not happen with my RV790. Possibly this is due to the amount of GTT/VRAM that this card has:

ATOM BIOS: RV790
radeon 0000:02:00.0: VRAM: 1024M 0x0000000000000000 - 0x000000003FFFFFFF (1024M used)
radeon 0000:02:00.0: GTT: 512M 0x0000000040000000 - 0x000000005FFFFFFF
mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
[drm] Detected VRAM RAM=1024M, BAR=256M
[drm] RAM width 256bits DDR
[TTM] Zone  kernel: Available graphics memory: 3058994 kiB.
[TTM] Zone   dma32: Available graphics memory: 2097152 kiB.
[TTM] Initializing pool allocator.
[drm] radeon: 1024M of VRAM memory ready
[drm] radeon: 512M of GTT memory ready.

Compare this to both my RV350 and M66GL, each of which has only 256M of VRAM and 256M of GTT memory.
Comment 3 Chris Rankin 2011-10-17 14:09:13 UTC
(In reply to comment #2)
> This problem does not happen with my RV790.

Actually, I'm not so sure about this now. Although the effect is certainly a lot less visible that with the RV350 and M66GL.
Comment 4 Chris Rankin 2011-10-24 15:24:33 UTC
This bug is still happening after this new commit:

commit 2717b8f034db16cf551e167aa5ce3a9be3bf730b
Author: Mathias Fröhlich <Mathias.Froehlich@gmx.net>
Date:   Sat Oct 8 21:33:23 2011 +0200

    winsys/radeon: restore the old r600g winsys memory characteristics.

However, this new commit also means that the original commit can no longer be trivially reverted.
Comment 5 Marek Olšák 2011-10-24 16:18:42 UTC
Created attachment 52721 [details] [review]
possible fix

Can you try this patch?
Comment 6 Chris Rankin 2011-10-24 16:53:50 UTC
(In reply to comment #5)
> Can you try this patch?

Sorry, no change.
Comment 7 Chris Rankin 2011-10-25 13:35:56 UTC
Created attachment 52764 [details]
Trace after GPU lockup

I'm not sure if this is related, but this is the first GPU lockup in a while and it coincides with me no longer reverting the problem patch.
Comment 8 Chris Rankin 2011-12-28 17:26:26 UTC
This bug looks like it's now fixed since:

commit 93f4e3cb6c1ca303ee1f5c2a2491a8eff33f2633
Author: Marek Olšák <maraeo@gmail.com>
Date:   Sat Dec 24 08:15:40 2011 +0100

    winsys/radeon: move managing GEM domains back to drivers
    
    This partially reverts commit 363ff844753c46ac9c13866627e096b091ea81f8.

Even better, WoW has even survived several "slow downs" that previously would almost certainly have caused the GPU to lock up.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.